import request from '../utils/request';
import { TLogin, TAccount, IpagingRes, TDevice } from "./index.d";

export const fetchLogin = (p: TLogin.Ireq): Promise<TLogin.IRes> => {
  return request({
    url: '/v1/web/login',
    method: 'post',
    data: p
  });
};


export const fetchData = () => {
  return request({
    url: './mock/table.json',
    method: 'get'
  });
};


export const fetchUserData = () => {
  return request({
    url: './mock/user.json',
    method: 'get'
  });
};

export const fetchRoleData = () => {
  return request({
    url: './mock/role.json',
    method: 'get'
  });
};


// -------------------------------------------------------------------------------------------------------------------

// 添加用户
export const accountAdd = (p: TAccount.IAdd): Promise<null> => {
  return request({
    url: '/v1/web/account/add',
    method: 'post',
    data: p
  });
};
// 删除用户
export const accountDeletet = (p: TAccount.Idel): Promise<null> => {
  return request({
    url: '/v1/web/account/delete',
    method: 'post',
    data: p
  });
};
// 修改用户
export const accountModify = (p: TAccount.IAdd): Promise<null> => {
  return request({
    url: '/v1/web/account/modify',
    method: 'post',
    data: p
  });
};
// 获取用户列表
export const accountList = (p: TAccount.IListReq): Promise<IpagingRes<TAccount.IListRes>> => {
  return request({
    url: '/v1/web/account/list',
    method: 'get',
    params: p
  });
};
// 重置密码
export const passwordReset = (p: TAccount.IResetPwd): Promise<null> => {
  return request({
    url: '/v1/web/account/password/reset',
    method: 'post',
    data: p
  });
};


// 获取设备列表
export const deviceList = (p: TDevice.IListReq): Promise<IpagingRes<TDevice.IListRes>> => {
  return request({
    url: '/v1/web/device/list',
    method: 'get',
    params: p
  });
};

// 设置监测模式
export const setMonitor = (p: TDevice.ISetMonitor): Promise<null> => {
  return request({
    url: '/v1/web/device/set/monitor',
    method: 'post',
    data: p
  });
};

// 设置模式
export const setMode = (p: TDevice.ISetMonitor): Promise<null> => {
  return request({
    url: '/v1/web/device/set/mode',
    method: 'post',
    data: p
  });
};

// 获取定位
export const deviceGetLocation = (p: TDevice.ISetMonitor): Promise<null> => {
  return request({
    url: '/v1/web/device/getLocation',
    method: 'post',
    data: p
  });
};

// 设备控制
export const deviceControl = (p: TDevice.ISetMonitor): Promise<null> => {
  return request({
    url: '/v1/web/device/control',
    method: 'post',
    data: p
  });
};

// 设备使用记录
export const deviceUseRecord = (p: TDevice.IRecordReq): Promise<IpagingRes<TDevice.IUseRecordRes>> => {
  return request({
    url: '/v1/web/device/use/record',
    method: 'get',
    params: p
  });
};

// 预警记录
export const warningRecord = (p: TDevice.IRecordReq): Promise<IpagingRes<TDevice.IWarningRecordRes>> => {
  return request({
    url: '/v1/web/device/warning/record',
    method: 'get',
    params: p
  });
};
